Doomsday Engine - Feature #1523

[Infine] Skill level checks
2010-10-23 11:04 - vermil

Status: New Start date: 2010-10-23
Priority: Normal % Done: 0%
Assignee:

Category: Enhancement

Target version: Modding

Description

Infine has "if" commands for each game Day supports, whether the game is multiplayer and the players class in HeXen.
But there aren't "if" commands for checking the skill level.

Skill level checking XG can be used to get around the lack of an option for skill level checking with in map Infine, though there is no
way of getting around it with before/after map infine.

There also aren't specific check's for single player or co-op. Though currently they would be redundant as manipulation of the
"deathmatch" and "netgame" checks can be used to make an infine def that is different in singleplayer, co-op and deathmatch, there
addition would be needed should Dday ever get any more game modes.

Labels: InFine

Related issues:
Related to Feature #1331: [InFine] Evaluate cvars with IF condition New 2004-02-20

History

#1 - 2010-10-28 12:00 - danij

I'm rather surprised to see that this functionality isn't already present.

#2 - 2013-10-22 10:58 - skyjake
- Tags set to InFine, Scripting
- Subject changed from Infine: Skill level checks to [Infine] Skill level checks

#3 - 2019-11-29 18:57 - skyjake
- Category set to Enhancement

- Target version set to Modding
